[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#690683: lgeneral: Unusable due to missing game data converter and outdated

Package: lgeneral
Version: 1.1.1-5
Severity: grave
Justification: renders package unusable


In its current state LGeneral is unusable for almost all users. 

 * The version shipped with Debian was released in 2004 and is
   completely outdated despite the fact that upstream is active and
   released version 1.2.3 in April 2012.
 * The converter lgc-pg, which is needed to convert game data of
   Panzer General was removed in 2011. [1]
   This means there is no available game data for LGeneral in Testing
   at the moment.

I intend to adopt LGeneral on behalf of the Debian Games
Team [2] and would like to reintroduce lgc-pg in combination with the
game-data-packager. I'm working on a new version of LGeneral 1.2.3 at
the moment.

If the new version cannot migrate to Testing, then LGeneral should be
removed from Wheezy. 

I have also introduced the issue on the debian-devel-games
mailinglist. [3]


Markus Koschany

[1] http://bugs.debian.org/465943
[2] http://bugs.debian.org/465942
[3] https://lists.debian.org/debian-devel-games/2012/10/msg00035.html

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lgeneral depends on:
ii  libc6            2.13-35
ii  libsdl-mixer1.2  1.2.12-3
ii  libsdl1.2debian  1.2.15-5

lgeneral recommends no packages.

Versions of packages lgeneral suggests:
pn  lgc-pg  <none>

-- no debconf information

Attachment: signature.asc
Description: Digital signature

Reply to: